Bug 1342512

Summary: Outdated dependency on sql-parser
Product: [Fedora] Fedora Reporter: Michal Čihař <michal>
Component: php-udan11-sql-parserAssignee: Remi Collet <fedora>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 25CC: fedora, redhat-bugzilla
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: php-udan11-sql-parser-3.4.4-1.fc24 php-udan11-sql-parser-3.4.4-1.fc23 php-udan11-sql-parser-3.4.4-1.el7 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-08-08 20:29:06 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Michal Čihař 2016-06-03 12:07:56 UTC
The packaged phpmyadmin ships old sql-parser which has lot of bugs. It should use phpmyadmin/sql-parser instead.phpmyadmin/sql-parser (see https://packagist.org/packages/udan11/sql-parser).

All packaged versions since 4.5.0 are affected.


Please change

Requires:	php-composer(udan11/sql-parser) >= 3.4.0

To

Requires:	php-composer(phpmyadmin/sql-parser) >= 3.4.0

Comment 1 Michal Čihař 2016-06-03 12:08:52 UTC
One of problems caused by this: https://github.com/phpmyadmin/phpmyadmin/issues/12243

Comment 2 Jan Kurik 2016-07-26 04:58:24 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 3 Remi Collet 2016-07-26 06:30:31 UTC
Reaffecting to right component

Comment 4 Fedora Update System 2016-07-26 07:14:16 UTC
php-udan11-sql-parser-3.4.4-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-da456a22bd

Comment 5 Fedora Update System 2016-07-26 07:14:22 UTC
php-udan11-sql-parser-3.4.4-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f911eb38b3

Comment 6 Fedora Update System 2016-07-26 07:14:27 UTC
php-udan11-sql-parser-3.4.4-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2671f99a1a

Comment 7 Fedora Update System 2016-07-28 04:08:54 UTC
php-udan11-sql-parser-3.4.4-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2671f99a1a

Comment 8 Fedora Update System 2016-07-28 04:18:29 UTC
php-udan11-sql-parser-3.4.4-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-da456a22bd

Comment 9 Fedora Update System 2016-07-28 06:00:04 UTC
php-udan11-sql-parser-3.4.4-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f911eb38b3

Comment 10 Fedora Update System 2016-08-08 20:29:04 UTC
php-udan11-sql-parser-3.4.4-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-08-08 23:55:40 UTC
php-udan11-sql-parser-3.4.4-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-08-11 21:51:03 UTC
php-udan11-sql-parser-3.4.4-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.